Bug 1254043 - [abrt] network-manager-applet: g_type_check_instance_is_fundamentally_a(): nm-applet killed by SIGSEGV
[abrt] network-manager-applet: g_type_check_instance_is_fundamentally_a(): nm...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: network-manager-applet (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a3de865350d6a29112d49c4096a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-16 21:58 EDT by satellitgo
Modified: 2015-10-07 18:50 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.0.6-3.fc23 network-manager-applet-1.0.6-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-03 23:23:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (69.71 KB, text/plain)
2015-08-16 21:58 EDT, satellitgo
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-16 21:58 EDT, satellitgo
no flags Details
File: core_backtrace (41.72 KB, text/plain)
2015-08-16 21:58 EDT, satellitgo
no flags Details
File: dso_list (10.36 KB, text/plain)
2015-08-16 21:58 EDT, satellitgo
no flags Details
File: environ (1.27 KB, text/plain)
2015-08-16 21:58 EDT, satellitgo
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-16 21:58 EDT, satellitgo
no flags Details
File: maps (53.66 KB, text/plain)
2015-08-16 21:58 EDT, satellitgo
no flags Details
File: mountinfo (3.58 KB, text/plain)
2015-08-16 21:58 EDT, satellitgo
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-16 21:58 EDT, satellitgo
no flags Details
File: open_fds (1.35 KB, text/plain)
2015-08-16 21:58 EDT, satellitgo
no flags Details
File: proc_pid_status (1009 bytes, text/plain)
2015-08-16 21:58 EDT, satellitgo
no flags Details
File: var_log_messages (309 bytes, text/plain)
2015-08-16 21:58 EDT, satellitgo
no flags Details
Output from valgrind (48.99 KB, text/plain)
2015-08-28 14:47 EDT, Lukas Slebodnik
no flags Details

  None (edit)
Description satellitgo 2015-08-16 21:58:34 EDT
Version-Release number of selected component:
network-manager-applet-1.0.4-2.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        nm-applet
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/nm-applet
global_pid:     1965
kernel:         4.2.0-0.rc5.git0.2.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4028
 #2 popup_menu_item_info_destroy at nm-ui-utils.c:738
 #3 closure_invoke_notifiers at gclosure.c:259
 #4 g_closure_unref at gclosure.c:608
 #5 handler_unref_R at gsignal.c:665
 #6 g_signal_handlers_destroy at gsignal.c:2671
 #7 g_object_real_dispose at gobject.c:1019
 #9 gtk_menu_shell_forall at gtkmenushell.c:1167
 #10 gtk_container_destroy at gtkcontainer.c:1579
 #15 gtk_widget_dispose at gtkwidget.c:12139
Comment 1 satellitgo 2015-08-16 21:58:37 EDT
Created attachment 1063587 [details]
File: backtrace
Comment 2 satellitgo 2015-08-16 21:58:37 EDT
Created attachment 1063588 [details]
File: cgroup
Comment 3 satellitgo 2015-08-16 21:58:38 EDT
Created attachment 1063589 [details]
File: core_backtrace
Comment 4 satellitgo 2015-08-16 21:58:39 EDT
Created attachment 1063590 [details]
File: dso_list
Comment 5 satellitgo 2015-08-16 21:58:40 EDT
Created attachment 1063591 [details]
File: environ
Comment 6 satellitgo 2015-08-16 21:58:40 EDT
Created attachment 1063592 [details]
File: limits
Comment 7 satellitgo 2015-08-16 21:58:41 EDT
Created attachment 1063593 [details]
File: maps
Comment 8 satellitgo 2015-08-16 21:58:42 EDT
Created attachment 1063594 [details]
File: mountinfo
Comment 9 satellitgo 2015-08-16 21:58:43 EDT
Created attachment 1063595 [details]
File: namespaces
Comment 10 satellitgo 2015-08-16 21:58:43 EDT
Created attachment 1063596 [details]
File: open_fds
Comment 11 satellitgo 2015-08-16 21:58:44 EDT
Created attachment 1063597 [details]
File: proc_pid_status
Comment 12 satellitgo 2015-08-16 21:58:45 EDT
Created attachment 1063598 [details]
File: var_log_messages
Comment 13 Jirka Klimes 2015-08-17 02:57:08 EDT
Do you happen to know how to trigger the crash?
Comment 14 Lukas Slebodnik 2015-08-28 09:19:38 EDT
I hit this crash as well.
I will try to run nm-applet with valgrind.
Comment 15 Lukas Slebodnik 2015-08-28 14:47:48 EDT
Created attachment 1068118 [details]
Output from valgrind

It looks like use after free error.

I'm not sure about security impact therefore
I marked this attachment as private. You can change it to public after analysis.
Comment 16 Jirka Klimes 2015-08-31 10:12:20 EDT
I could not reproduce. But I found the problem thanks to the valgrind log. Thanks, Lukas :)

The issue has been fixed upstream:
master: 0d0e843 libnma/libnm-gtk: fix a possible crash on widgets destroy (rh #1254043)
nma-1-0: 6ee38dd libnm-gtk: fix a possible crash on widgets destroy (rh #1254043)
Comment 17 Fedora Update System 2015-09-01 05:58:30 EDT
network-manager-applet-1.0.6-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14745
Comment 18 Fedora Update System 2015-09-01 05:58:41 EDT
network-manager-applet-1.0.6-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14746
Comment 19 Fedora Update System 2015-09-01 16:22:27 EDT
network-manager-applet-1.0.6-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update network-manager-applet'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14746
Comment 20 Lukas Slebodnik 2015-09-02 01:01:28 EDT
(In reply to Jirka Klimes from comment #16)
> I could not reproduce. But I found the problem thanks to the valgrind log.
> Thanks, Lukas :)
> 
You are welcome.
It failed quite often for me so it wasn't a problem.
Marking attachment and private comment as public.
Comment 21 Fedora Update System 2015-09-02 12:21:34 EDT
network-manager-applet-1.0.6-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update network-manager-applet'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14745
Comment 22 Fedora Update System 2015-09-03 23:23:52 EDT
network-manager-applet-1.0.6-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-10-07 18:50:36 EDT
network-manager-applet-1.0.6-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.